Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.server
Class XmlRpcServer

    java.lang.Object
      org.apache.xmlrpc.common.XmlRpcController
          org.apache.xmlrpc.server.XmlRpcServer

All Implemented Interfaces:
  XmlRpcRequestProcessor

Direct Known Subclasses:
  XmlRpcStreamServer

    public class XmlRpcServer

extends XmlRpcController
implements XmlRpcRequestProcessor

A multithreaded, reusable XML-RPC server object. The name may be misleading because this does not open any server sockets. Instead it is fed by passing instances of `XmlRpcRequest` from a transport.

Constructor Summary
`XmlRpcServer()`

Method Summary
`java.lang.Object` | `execute(XmlRpcRequest pRequest)` Performs the given request.
`XmlRpcConfig` | `getConfig()` Returns the controllers default configuration.
`protected XmlRpcWorkerFactory` | `getDefaultXmlRpcWorkerFactory()` Creates the controllers default worker factory.
`XmlRpcHandlerMapping` | `getHandlerMapping()` Returns the servers handler mapping.
`TypeConverterFactory` | `getTypeConverterFactory()` Returns the request processors `TypeConverterFactory`.
`void` | `setConfig(XmlRpcServerConfig pConfig)` Sets the servers configuration.
`void` | `setHandlerMapping(XmlRpcHandlerMapping pMapping)` Sets the servers handler mapping.
`void` | `setTypeConverterFactory(TypeConverterFactory pFactory)` Sets the servers `TypeConverterFactory`.

Methods inherited from class org.apache.xmlrpc.common.XmlRpcController
`getMaxThreads, getTypeFactory, getWorkerFactory, setMaxThreads, setTypeFactory, setWorkerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcServer

    public XmlRpcServer()

Method Detail

### getDefaultXmlRpcWorkerFactory

    protected XmlRpcWorkerFactory getDefaultXmlRpcWorkerFactory()

  Description copied from class: `XmlRpcController`
  Creates the controllers default worker factory.

  Specified by:
    `getDefaultXmlRpcWorkerFactory` in class `XmlRpcController`
  Returns:
    The default factory for workers.

### setTypeConverterFactory

    public void setTypeConverterFactory(TypeConverterFactory pFactory)

  Sets the servers `TypeConverterFactory`.

### getTypeConverterFactory

    public TypeConverterFactory getTypeConverterFactory()

  Description copied from interface: `XmlRpcRequestProcessor`
  Returns the request processors `TypeConverterFactory`.

  Specified by:
    `getTypeConverterFactory` in interface `XmlRpcRequestProcessor`

### setConfig

    public void setConfig(XmlRpcServerConfig pConfig)

  Sets the servers configuration.

  Parameters:
    `pConfig` - The new server configuration.

### getConfig

    public XmlRpcConfig getConfig()

  Description copied from class: `XmlRpcController`
  Returns the controllers default configuration.

  Specified by:
    `getConfig` in class `XmlRpcController`
  Returns:
    The default configuration.

### setHandlerMapping

    public void setHandlerMapping(XmlRpcHandlerMapping pMapping)

  Sets the servers handler mapping.

  Parameters:
    `pMapping` - The servers handler mapping.

### getHandlerMapping

    public XmlRpcHandlerMapping getHandlerMapping()

  Returns the servers handler mapping.

  Returns:
    The servers handler mapping.

### execute

    public java.lang.Object execute(XmlRpcRequest pRequest)
                             throws XmlRpcException

  Performs the given request.

  Specified by:
    `execute` in interface `XmlRpcRequestProcessor`
  Parameters:
    `pRequest` - The request being executed.
  Returns:
    The result object.
  Throws:
    `XmlRpcException` - The request failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.